1. Items - User
3enab
πŸ‘€ User Application
  • πŸ‘€ User Application
  • πŸͺ Vendor Application
  • πŸ‘¨β€πŸ’Ό Admin Application
  • 🚚 Delivery Application
  • Auth - User
    • Register a new user
      POST
    • Login user
      POST
    • Logout user
      POST
    • Refresh access token
      POST
    • Send phone OTP
      POST
    • Verify phone OTP
      POST
    • Send password reset OTP
      POST
    • Verify password reset OTP
      POST
    • Reset password
      POST
  • Addresses - User
    • Create a new address
      POST
    • Get all addresses
      GET
    • Get default address
      GET
    • Get address by ID
      GET
    • Update address
      PUT
    • Delete address
      DELETE
    • Set as default address
      PATCH
  • Ads - User
    • Get all advertisements
      GET
    • Get a specific advertisement by ID
      GET
  • Coupons - User
    • Get available coupons
      GET
  • Delivery Areas - User
    • Get all active delivery areas
  • Items - User
    • Get all items
      GET
    • Get a specific item by ID
      GET
    • Get variants of an item
      GET
    • Get all items (Direct Access)
      GET
    • Get all items for a specific vendor (Direct Access)
      GET
    • Get item by ID (Direct Access)
      GET
  • Menu Categories - User
    • Get all active menu categories for a vendor
    • Get a menu category by ID
  • Orders - User
    • Preview order pricing
    • Get all orders
    • Create a new order
    • Get order by ID
    • Cancel order
  • Rates - User
    • Create a new rating for a vendor
    • Get all ratings for a vendor
    • Get a specific rating by ID
    • Update a rating
    • Delete a rating
  • Users - User
    • Get current user profile
    • Update current user profile
    • Delete current user account
    • Change user password
  • Vendor Categories - User
    • Get all active vendor categories
    • Get a vendor category by ID
  • Vendors - User
    • Get all active vendors
    • Get vendor by ID
    • Get vendor logo
  • Versions - User
    • Get the latest version for User app
  • App Notices - User
    • Get active app notices
  1. Items - User

Get all items (Direct Access)

GET
/api/v1/items
Public endpoint to retrieve all active items with pagination and search.
Returns only parent/standalone items (not variants).

Request

Authorization
JWT Bearer
Add the parameter
Authorization
to Headers
Example:
Authorization: ********************
API Key
Add parameter in header
x-api-key
Example:
x-api-key: ********************
or
Query Params

Responses

🟒200OK
application/json
Items fetched successfully
Body

Example
{
    "status": "success",
    "message": "Items fetched successfully",
    "data": {
        "items": [
            {
                "_id": "507f1f77bcf86cd799439011",
                "name": "Delicious Pizza",
                "description": "Fresh pizza with premium ingredients",
                "basePrice": 25.99,
                "optionName": "Size",
                "parentItem": null,
                "isVariant": false,
                "prepTime": "15 minutes",
                "discount": {
                    "type": "percentage",
                    "value": 20,
                    "startDate": "2019-08-24T14:15:22.123Z",
                    "endDate": "2019-08-24T14:15:22.123Z",
                    "isActive": true
                },
                "isActive": true,
                "isAvailable": true,
                "isGroupAvailable": true,
                "order": 1,
                "category": "507f1f77bcf86cd799439012",
                "vendor": "507f1f77bcf86cd799439013",
                "imagePath": "/uploads/items/image.jpg",
                "createdAt": "2019-08-24T14:15:22.123Z",
                "updatedAt": "2019-08-24T14:15:22.123Z"
            }
        ],
        "pagination": {
            "page": 1,
            "limit": 10,
            "total": 50,
            "totalPages": 5
        }
    }
}
Modified atΒ 2026-04-08 13:48:58
Previous
Get variants of an item
Next
Get all items for a specific vendor (Direct Access)
Built with